
Auto Multiple Choice - Bug # 56: Choices in tabular environment

Status: Closed Priority: Normal
Author: Hiroto Kagotani Category:
Created: 05/02/2012 Assignee:
Updated: 05/07/2012 Due date:
Description: I want to align choices on a table using tabular environment.

But when I create the following question, I get error messages from AMC:
Answer number ID used several times for the same question: 1
...

<pre>
\begin{questionmult}{table}\AMCnoCompleteMulti
  Answer this question.

  \begin{choicescustom}[o]
    \begin{tabular}{|p{5cm}|p{5cm}|}
      \hline
      \wrongchoice{wrong 1} & \correctchoice{correct 2} \\
      \hline
      \correctchoice{correct 3} & \wrongchoice{wrong 4} \\
      \hline
    \end{tabular}
  \end{choicescustom}
\end{questionmult}
</pre>

History
05/02/2012 06:38 am - Hiroto Kagotani
I simply added \global to counter increments.
Is that correct?

<pre>
--- automultiplechoice.sty.orig 2012-05-02 10:55:07.000000000 +0900
+++ automultiplechoice.sty      2012-05-02 13:39:48.000000000 +0900
@@ -485,12 +485,12 @@
 \def\AMCbeginAnswer{}
 \def\AMCanswer#1#2{#1 #2}
 \def\AMCendAnswer{}
-\newcommand{\correctchoice}[2][]{\advance\AMCrep@count\@ne\relax%
+\newcommand{\correctchoice}[2][]{\global\advance\AMCrep@count\@ne\relax%
   \ifAMC@calibration\AMC@amclog{AUTOQCM[REP=\the\AMCrep@count:B]^^J}\fi%
   \global\AMCune@bonnetrue%
   \AMCload@@reponse{\une@rep{\ifAMC@correc\AMC@marque{#1}{1}%
       \else\AMC@marque{#1}{}\fi}{#2}}{\the\AMCrep@count}\ignorespaces}
-\newcommand{\wrongchoice}[2][]{\advance\AMCrep@count\@ne\relax%
+\newcommand{\wrongchoice}[2][]{\global\advance\AMCrep@count\@ne\relax%
   \ifAMC@calibration\AMC@amclog{AUTOQCM[REP=\the\AMCrep@count:M]^^J}\fi%
   \AMCload@@reponse{\une@rep{\AMC@marque{#1}{}}{#2}}{\the\AMCrep@count}%
   \ignorespaces}
</pre>
05/02/2012 08:47 am - Alexis Bienvenüe
Yes, I think there is no drawback.

05/07/2012 05:15 pm - Hiroto Kagotani
Committed as revision r1046.

05/07/2012 07:55 pm - Alexis Bienvenüe
- Status changed from New to Closed
